Subject: bug#37826: Very annoying autoraise client/server behavior with -t option

From: Carlos Pita <[email-masked]>
Date: Sun, 27 Oct 2019 02:45:31 -0300

> be raised (if needed)?  (It might be that in some of these situations
> we need to avoid binding minibuffer-auto-raise to nil, in which case
> server-visit-files will need some additional logic or an additional
> argument to discern between them.)
>

Hi Eli, the frame is not raised for a -t shell script nor for any
other scenario you listed (considering a very limited set of examples,
at least). This change is similar to my first patch except that mine
also covered the handful of hooks surrounding that part. But even if
yours is more selective it still could be letting an error pass
silently, which was the reason to "record" the output messages and
showing them in the right frame. Thank you.